//##################################################################################################
//
//  Ceetron Result Calculator Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2019, Ceetron AS
//##################################################################################################
#pragma once

#include <string>

namespace crchl {

//==================================================================================================
//
// 
//
//==================================================================================================
class DynamicLibrary
{
public:
    static DynamicLibrary* load(const std::string& path, std::string* errorString);
    ~DynamicLibrary();
  
    void* getSymbol(const std::string& name);

private:
    DynamicLibrary();
  
    DynamicLibrary(void* handle);
    DynamicLibrary(const DynamicLibrary&);
  
private:
    void* m_handle;  
};

} // crchl
