//##################################################################################################
//
//  Ceetron Result Calculator Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2021, Ceetron AS
//##################################################################################################

#include "crchlInitOptions.h"
#include "crchlAssert.h"


namespace crchl {

//==================================================================================================
//
//
//
//==================================================================================================

//--------------------------------------------------------------------------------------------------
///
//--------------------------------------------------------------------------------------------------
InitOptions::InitOptions()
{
}

//--------------------------------------------------------------------------------------------------
///
//--------------------------------------------------------------------------------------------------
InitOptions::~InitOptions()
{
}

//--------------------------------------------------------------------------------------------------
///
//--------------------------------------------------------------------------------------------------
void InitOptions::setOptions(const CRCString& initString, const CRCString& resultIdString)
{
    m_initString = initString;
    m_resultIdString = resultIdString;
}

//--------------------------------------------------------------------------------------------------
///
//--------------------------------------------------------------------------------------------------
const CRCString& InitOptions::initString() const
{
    return m_initString;
}

//--------------------------------------------------------------------------------------------------
///
//--------------------------------------------------------------------------------------------------
const CRCString& InitOptions::resultIdString() const
{
    return m_resultIdString;
}

}  // crchl
