//##################################################################################################
//
//  Ceetron Result Calculator Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2021, Ceetron AS
//##################################################################################################
#pragma once

#include "CRCInitOptions.h"

#include "crchlBase.h"

// Remove override keyword if not supported
#ifndef CRC_SUPPORTS_OVERRIDE_KEYWORD
#define override
#endif

namespace crchl {
    
//==================================================================================================
//
// 
//
//==================================================================================================
class InitOptions : public CRCInitOptions
{
public:
    InitOptions();
    virtual ~InitOptions();
    
    void setOptions(const CRCString& initString, const CRCString& resultIdString);
    
    virtual const CRCString& initString() const override;
    virtual const CRCString& resultIdString() const override;
    
private:
    CRCString               m_initString;
    CRCString               m_resultIdString;
};

}  // crchl
