//##################################################################################################
//
//  Ceetron Result Calculator Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2019, Ceetron AS
//##################################################################################################
#pragma once

#include <string>


namespace crchl {

//==================================================================================================
//
// 
//
//==================================================================================================
class Logger
{
public:
    enum Level
    {
        LL_ERROR = 1,
        LL_WARNING,
        LL_INFO,
        LL_DEBUG
    };

public:
    Logger() {}
    virtual ~Logger() {}

    virtual void log(Logger::Level messageLevel, const std::string& message) = 0;
};

} // crchl
