//##################################################################################################
//
//  Ceetron Result Calculator Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2019, Ceetron AS
//##################################################################################################
#pragma once

#include "CRCBaseTypes.h"
#include "CRCResultType.h"
#include "CRCString.h"

//==================================================================================================
//
// 
//
//==================================================================================================
class CRCCalculatorMetaData
{
public:
    virtual void setOutputResultType(CRCResultType resultType) = 0;
    virtual void setOutputResultName(const CRCString& resultName) = 0;
    virtual void setOutputResultIdString(const CRCString& idString) = 0;
    
    virtual void addInputResultIndex(crc_size_t resultIndex) = 0;
};
