//##################################################################################################
//
//  Ceetron Result Calculator Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2019, Ceetron AS
//##################################################################################################

#include "CRCCalculatorParams.h"


//==================================================================================================
///
/// \class CRCCalculatorParameters
/// 
/// Contains calculator properties in the form of key,value pairs
//==================================================================================================

//--------------------------------------------------------------------------------------------------
/// Check if specified key exists
//--------------------------------------------------------------------------------------------------
bool CRCCalculatorParams::hasKey(const CRCString& key) const
{
    return false;
}

//--------------------------------------------------------------------------------------------------
/// Get value for specified key
/// 
/// Returns infinity if key does not exist
//--------------------------------------------------------------------------------------------------
crc_double_t CRCCalculatorParams::value(const CRCString& key) const
{
    return 0;
}

//--------------------------------------------------------------------------------------------------
/// Set double value for specified key
//--------------------------------------------------------------------------------------------------
void CRCCalculatorParams::setValue(const CRCString& key, crc_double_t value)
{
}

