//##################################################################################################
//
//  Ceetron Result Calculator Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2019, Ceetron AS
//##################################################################################################
#pragma once

#include <string>


//==================================================================================================
//
// 
//
//==================================================================================================
class CRCLogHelper
{
public:
    typedef void(*RawLogFunc)(int level, const char* message);

public:
    inline CRCLogHelper(RawLogFunc rawLogFunc);

    inline void logError(const std::string& message);
    inline void logWarning(const std::string& message);
    inline void logInfo(const std::string& message);
    inline void logDebug(const std::string& message);

private:
    RawLogFunc m_logFunc;
};

#include "CRCLogHelper.inl"

