//##################################################################################################
//
//  Ceetron Result Calculator Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2019, Ceetron AS
//##################################################################################################
#pragma once

#include "CRCResultType.h"

#include <string>
#include <sstream>
#include <cctype>


//==================================================================================================
//
// 
//
//==================================================================================================
class CRCUtils
{
public:
    inline static std::string   compilerInfoString();

    inline static std::string   resultTypeToString(CRCResultType resultType);

    template<typename T>
    static std::string          toStdString(const T& value);

    inline static std::string   toLower(const std::string& str);
};

#include "CRCUtils.inl"

