//##################################################################################################
//
//  Ceetron Result Calculator Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2019, Ceetron AS
//##################################################################################################
#pragma once

#ifdef WIN32

#if !defined(NDEBUG)
#include <crtdbg.h>
#define CRCHL_ASSERT(EXPR)  _ASSERTE((EXPR))
#else
#define CRCHL_ASSERT(EXPR)  ((void)0)
#endif

#else

#include <cassert>
#define CRCHL_ASSERT(EXPR)  assert((EXPR))

#endif

#define CRCHL_FAIL_MSG(MSG) CRCHL_ASSERT(!(MSG))

