//##################################################################################################
//
//  Ceetron Result Calculator Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2019, Ceetron AS
//##################################################################################################

#include "crchlDefaultLogger.h"
#include <cstdio>

namespace crchl {

//==================================================================================================
//
// 
//
//==================================================================================================

//--------------------------------------------------------------------------------------------------
/// 
//--------------------------------------------------------------------------------------------------
void DefaultLogger::log(Logger::Level messageLevel, const std::string& message)
{
    std::string levelStr = "???";
    if      (messageLevel == LL_ERROR)   levelStr = "ERR";
    else if (messageLevel == LL_WARNING) levelStr = "WRN";
    else if (messageLevel == LL_INFO)    levelStr = "INF";
    else if (messageLevel == LL_DEBUG)   levelStr = "DBG";

    printf("%s: %s\n", levelStr.c_str(), message.c_str());
}

} // crchl
