//##################################################################################################
//
//  Ceetron Result Calculator Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2021, Ceetron AS
//##################################################################################################
#pragma once

#include "CRCError.h"

#include "crchlBase.h"

// Remove override keyword if not supported
#ifndef CRC_SUPPORTS_OVERRIDE_KEYWORD
#define override
#endif

namespace crchl {
    
//==================================================================================================
//
// 
//
//==================================================================================================
class Error : public CRCError
{
public:
    Error();
    virtual ~Error();
    
    virtual void setError(const CRCString& message) override;
    
    CRCString errorString() const;
    
private:
    CRCString               m_errorString;
};

}  // crchl
