//##################################################################################################
//
//  Ceetron Result Calculator Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2019, Ceetron AS
//##################################################################################################
#pragma once

// Brings in size_t and definition of NULL
#include <cstddef>

/// Types
typedef int      crc_int_t;
typedef size_t   crc_size_t;
typedef double   crc_double_t;
typedef char     crc_char_t;
typedef wchar_t  crc_wchar_t;

const crc_size_t CRC_UNDEFINED_SIZE_T = static_cast<crc_size_t>(-1);

// Check if the compiler supports the 'override' keyword
#if (defined(_MSC_VER) && (_MSC_VER > 1600)) || (!defined(_MSC_VER) && __cplusplus >= 201103L)
#define CRC_SUPPORTS_OVERRIDE_KEYWORD
#endif
