//##################################################################################################
//
//  Ceetron Result Calculator Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2019, Ceetron AS
//##################################################################################################
#pragma once

#include "CRCBaseTypes.h"

class CRCString;


//==================================================================================================
//
// 
//
//==================================================================================================
class CRCCalculatorParams
{
public:
    virtual ~CRCCalculatorParams() {}

    virtual bool            hasKey(const CRCString& key) const = 0;
    virtual crc_double_t    value(const CRCString& key) const = 0;
    virtual void            setValue(const CRCString& key, crc_double_t value) = 0;
};


